<?php

##############################################################################
// eCards Virtual Greeting Card System
// Copyright (C) 2004 by 4n-community.de
// http://www.4n-community.de
// ---------------------------------------------------------------------------
// LICENSE:
// This Script is copyright of www.4n-community.de and may free of charge be used exclusively for private homepage.
// For free use  must all copyright notices unchanged in the Script! Also not be removed, converted, hidden or made invisible.
// If you liked not to indicate the copyright reference or the Script on commercial sides begin, you can acquire a license (= > LIZENZ.txt)!
// ---------------------------------------------------------------------------
// Filename: Card_V7.1
// Original Author: Lothar Dambowsky
// Purpose: Create via web a Virtual Greeting Card
// ---------------------------------------------------------------------------
// Forum to the Script of: http://www.4n-community.de/modules.php?name=4nForum
##############################################################################


if (!eregi("admin.php", $PHP_SELF)) { die ("Access Denied"); }
include("header.php");
include("config.php");
include('modules/Card/include.php');
$index=0;

if (isset($lang)) {
    include("modules/Card/language/lang-$lang.php");
    $language = $lang;
} else {
    include("modules/Card/language/lang-$language.php");
}

$folder="modules/Card/image/$katn";
if ($action==""._MENUEKATCREATE.""){if (@mkdir("$folder",0777)); @chmod ($folder, 0777); {$ziel=$katn;}}
if ($action==""._MENUEDELETE.""){if (@rmdir("modules/Card/image/$ziel")); {$ziel="";}}

$pfadt= "modules/Card/image/$ziel/";
$verz=@opendir ($pfadt);
$thumb = array ();
if (isset($ziel)){
while ($filet = @readdir ($verz)) { if($filet != "." && $filet != ".." && $filet != "index.htm") {array_push($thumb,"$filet");}}
@closedir($verz);}

OpenTable();

echo "<center><b>"._MENUECOPYRIGHT."<hr></b>";

echo "<center><br><h4>"._MENUEEDIT.":</h4></center>";
echo ""._MENUEKATSELECT."<br><br>";
echo "<table bgcolor=\"$bgcolor2\" border='1' bordercolor='#000000' cellpadding='8'><tr>";
$verz=opendir ('modules/Card/image/');
while ($file = readdir ($verz)){
if($file != "." && $file != ".." && $file != "index.htm") {
echo "<td><center><a href='admin.php?op=menue&ziel=$file'><b>$file</b></a></center></td>";
$i++; $ii= ("$spalten_kategorien"-$i);
if ($ii == "0" ){ echo "</tr><tr>"; $i= "0";}}}
closedir($verz);
echo "</tr></table></center>";


echo "<center><form action='admin.php?op=card' method='POST'>";
echo "<INPUT maxLength=22 size=22 name='katn'>&nbsp;<input type=submit value='"._MENUEKATCREATE."' name='action'><br>";
echo "<br>"._MENUEKATINFO."<br><br>";
echo "<b>"._CARDCATEGORY."</b> <select name='ziel'>
<option value='' selected>"._MENUEKATDEL."</option>";
$verz=opendir ('modules/Card/image/');
while ($kateg = readdir ($verz))
{if($kateg != "." && $kateg != ".." && $kateg != "index.htm")
echo "<option value=\"$kateg\">$kateg</option>";}
closedir($verz);

echo "&nbsp;<input type=submit value='"._MENUEDELETE."' name='action'></select></form>";
echo "<center><a href='admin.php'><h5>"._MENUEBACKTOA."</h5></a></center>";

// Dieser Link muss erhalten bleiben und darf nicht entfernt werden - not edit or remove this link, thanks!!
echo "<hr><center><a title='¸ðµâ Á¤º¸' href=\"#\" onClick=\"window.open('modules/Card/modul.php','neuesfenster','width=400,height=300,directories=no,location=no,menubar=no,scrollbars=yes,status=no,toolbar=no,resizable=yes,');return false\">XCard version 0.7.3</a> phpNuke &copy by XCommunity <a href='http://www.xybersystem.net' target='_blank'>XCommunity</center>";

CloseTable();

include("footer.php");
?>
